Bug 1315549 - openshift-ansible should pre-pull master and client images
openshift-ansible should pre-pull master and client images
Status: CLOSED WONTFIX
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer (Show other bugs)
3.2.0
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Scott Dodson
Xiaoli Tian
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-07 21:42 EST by Ma xiaoqiang
Modified: 2017-08-24 16:48 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-24 16:48:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ma xiaoqiang 2016-03-07 21:42:06 EST
Description of problem:
The steps pre-pulling master and client images were deleted in the following commit:
https://github.com/openshift/openshift-ansible/commit/50b9eefd2b6266b29755e37090138096a2aebc31#diff-433591899fc94e3ef66b3266d8c24eff
But it still pre-pull the node and etcd images


Version-Release number of selected component (if applicable):
openshift-ansible master
commit ID: 0fc6a695eff837ec140e439741fd446a2a10bccf

How reproducible:
100%


Steps to Reproduce:
1. 
2.
3.


Actual results:
openshift-ansible does not pre-pull master and client images


Expected results:
openshift-ansible should pre-pull master and client images

Additional info:
Comment 1 Brenton Leanhardt 2016-03-08 08:21:26 EST
Is this causing a problem?

I agree we should be consistent whatever we decide.  I suspect the only reason we pre-pull the images is just to keep the systemd startup from timing out.
Comment 2 Ma xiaoqiang 2016-04-18 03:00:42 EDT
It did not cause any issue, just hope the ansible keep consistent in pre-pulling the images. If it will not pre-pull the client and master image, I think it should not pre-pull the node and etcd images.

Note You need to log in before you can comment on or make changes to this bug.